PULSAR

Get Machines With Pagination

Get machines with pagination.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

page?number

The page number to return.

Formatdouble
pageSize?number

The number of results to return per page.

Formatdouble

Response Body

application/json

Try it live
GET
/machines/all

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/machines/all"
{  "totalItems": 0.1,  "currentPage": 0.1,  "totalPages": 0.1,  "data": [    {      "updatedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "name": "string",      "id": "string"    }  ]}